All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
nmf.cpp File Reference
`#include <ctime>`
`#include <cmath>`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/linalg/nmf.hpp"`

Go to the source code of this file.

## Typedefs

typedef float | ScalarType

## Functions

template<typename MATRIX >
float | matrix_compare (MATRIX &res, viennacl::matrix_base< ScalarType > &ref)
void | fill_random (viennacl::matrix_base< ScalarType > &v)
void | test_nmf (std::size_t m, std::size_t k, std::size_t n)
int | main ()

## Variables

const ScalarType | EPS = ScalarType(0.03)

## Detailed Description

Tests the nonnegative matrix factorization.

Test:
  Tests the nonnegative matrix factorization.

Definition in file nmf.cpp.

## Typedef Documentation

typedef float ScalarType

Examples:
  nmf.cpp.

Definition at line 29 of file nmf.cpp.

## Function Documentation

void fill_random | ( | viennacl::matrix_base< ScalarType > & | v | ) |

Examples:
  nmf.cpp.

Definition at line 53 of file nmf.cpp.

int main | ( |  | ) |

Examples:
  nmf.cpp.

Definition at line 100 of file nmf.cpp.

template<typename MATRIX >

float matrix_compare | ( | MATRIX & | res,
|  | viennacl::matrix_base< ScalarType > & | ref
| ) |  |

Definition at line 34 of file nmf.cpp.

void test_nmf | ( | std::size_t | m,
|  | std::size_t | k,
|  | std::size_t | n
| ) |  |

Definition at line 64 of file nmf.cpp.

## Variable Documentation

const ScalarType EPS = ScalarType(0.03)

Definition at line 31 of file nmf.cpp.